%define name		jndi
%define version		1.2.1
%define cvs_version	1_2_1
%define doc_version	121
%define release		6jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java Naming and Directory Interface
License:	Sun Binary Code License
Url:		http://java.sun.com/products/%{name}
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-%{cvs_version}.zip
Source1:	javadoc%{doc_version}.zip
NoSource:	0
NoSource:	1
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Java Naming and Directory InterfaceTM (JNDI) is a standard
extension to the JavaTM platform, providing Java technology-enabled
applications with a unified interface to multiple naming and directory
services in the enterprise. As part of the Java Enterprise API set, JNDI
enables seamless connectivity to heterogeneous enterprise naming and
directory services. Developers can now build powerful and portable
directory-enabled applications using this industry standard.
JNDI works in concert with other J2EE technologies to organize and
locate components in a distributed computing environment.
JNDI 1.2 is a major upgrade release that includes, among other
features, support for event notification and LDAP v3 extensions and
controls. The specification contains valuable contributions from the
following companies: Netscape, Novell, Tarantella, Sun, BEA.

%package manual
Summary:	Manual for %{name}
Group:		Development/Libraries/Java

%description manual
Documentation for %{name}.

%package demo
Summary:	Demo for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Development/Libraries/Java

%description demo
Demonstrations and samples for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -c
%setup -c -T -D -a1
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr examples $RPM_BUILD_ROOT%{_datadir}/%{name}
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr jndi/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT README.txt
%{javadir}/*

%files manual
%defattr(-,root,root)
%doc doc/*

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-6jpp
- vendor, distribution, group tags
- javadoc

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-5jpp 
- nosrc package
- section macro

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-4jpp
- spec cleanup

* Mon Jan 7 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-3jpp
- no dependencies for manual package
- stricter dependency for demo package
- standardised summary

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-2jpp
- first unified release

* Tue Oct 09 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-1mdk
- first Mandrake release
